local _G = getfenv(0)
local ADDON_NAME, addon = ...

local LookupOrKeyMT = {__index = function (t,k) return k end}
addon.SpellIds = {
	["Anti-Magic Shell"] = 48707,
	["Anti-Magic Zone"] = 51052,
	["Army of the Dead"] = 42650,
	["Auto Attack"] = 6603,
	["Blood Plague"] = 55078,
	["Blood Shield"] = 77535,
	["Bone Shield"] = 195181,
	["Cinderglacier"] = 53386,
	["Crimson Scourge"] = 81141,
	["Dancing Rune Weapon"] = 49028,
	["Dark Succor"] = 101568,
	["Death and Decay"] = 43265,
	["Death Coil Damage"] = 47632,
	["Death Coil Heal"] = 47633,
	["Death Coil"] = 47541,
	["Death Pact"] = 48743,
	["Death Strike"] = 49998,
	["Death's Advance"] = 96268,
	["Desecrated Ground"] = 108201,
	["Determination"] = 146250,
	["Empower Rune Weapon"] = 47568,
	["Feathers of Fury"] = 138759,
	["Festering Strike"] = 85948,
	["Freezing Fog"] = 59052,
	["Frost Fever"] = 55095,
	["Frost Strike"] = 49143,
	["Frost Strike MH Damage"] = 222026,
	["Frozen Wake"] = 187894,
	["Gorefiend's Grasp"] = 108199,
	["Icebound Fortitude"] = 48792,
	["Killing Machine"] = 51124,
	["Lichborne"] = 49039,
	["Mind Freeze"] = 47528,
	["Obliterate"] = 49020,
	["Outbreak"] = 77575,
	["Outrage"] = 146245,
	["Pillar of Frost"] = 51271,
	["Plague Strike"] = 45462,
	["Raise Dead"] = 46584,
	["Remorseless Winter"] = 196770,
	["Resolve"] = 158300,
	["Rune Strike"] = 210764,
	["Runic Corruption"] = 51460,
	["Runic Empowerment"] = 81229,
	["Strangulate"] = 47476,
	["Sudden Doom"] = 49530,
	["Summon Gargoyle"] = 49206,
	["Surge of Strength"] = 138702,
	["Tenacious"] = 148899,
	["Unholy Blight"] = 115989,
	["Vampiric Blood"] = 55233,
	-- Newer
	["Asphyxiate (Blood)"] = 221562,
	["Blood Boil"] = 50842,
	["Blooddrinker"] = 206931,
	["Dark Transformation"] = 63560,
	["Death's Caress"] = 195292,
	["Festering Wound"] = 194310,
	["Hungering Runeblade"] = 196770,
	["Marrowrend"] = 195182,
	["Unholy Frenzy"] = 194921,
	["Virulent Plague"] = 191587,
	["Wraith Walk"] = 212552,
	["Necrosis Buff"] = 216974,
    ["Icy Talons Buff"] = 194879,
	["Razorice"] = 51714,
	["Soul Reaper Buff"]= 215711,
	["Festering Wound < 5"] = 85948,  -- Used for a proc
	["Death and Decay Buff"] = 188290,
	["Bone Shield <= 6"] = 195181,  -- Used for a proc
	["Sourge of Worlds"] = 191747,
	["Sindragosa's Fury"] = 190778, -- Frost artifact trait
	["Chilled Heart"] = 235592, -- Effect from Cold Heart legendary
	["Hemostasis"] = 273947,  -- Blood Talent-passive buff

	-- Spells for Artifact Weapons
	["Apocalypse"] = 220143,
	["Consumption"] = 205223,

	-- Spells for Talents
    ["Abomination's Might"] = 207161,
    ["All Will Serve"] = 194916,
    ["Anti-Magic Barrier"] = 205727,
    ["Asphyxiate"] = 221562,
    ["Avalanche"] = 207142,
    ["Blighted Rune Weapon"] = 194918,
    ["Blinding Sleet"] = 207167,
    ["Blood Mirror"] = 206977,
    ["Blood Tap"] = 221699,
    ["Bloodworms"] = 195679,
    ["Bonestorm"] = 194844,
    ["Breath of Sindragosa"] = 152279,
    ["Bursting Sores"] = 207264,
    ["Castigator"] = 207305,
    ["Clawing Shadows"] = 207311,
    ["Corpse Shield"] = 207319,
    ["Dark Arbiter"] = 207349,
    ["Debilitating Infestation"] = 207316,
    ["Defile"] = 152280,
    ["Ebon Fever"] = 207269,
    ["Epidemic"] = 207317,
    ["Exsanguinate"] = 206931,
    ["Foul Bulwark"] = 206974,
    ["Freezing Fog"] = 207060,
    ["Frostscythe"] = 207230,
    ["Frozen Pulse"] = 194909,
    ["Gathering Storm"] = 194912,
    ["Glacial Advance"] = 194913,
    ["Heartbreaker"] = 221536,
    ["Horn of Winter"] = 57330,
    ["Hungering Rune Weapon"] = 207127,
    ["Icecap"] = 207126,
    ["Icy Talons"] = 194878,
    ["Infected Claws"] = 207272,
    ["Lingering Apparition"] = 212763,
    ["March of the Damned"] = 219779,
    ["Mark of Blood"] = 206940,
    ["Murderous Efficiency"] = 207061,
    ["Necrosis"] = 207346,
    ["Obliteration"] = 207256,
    ["Ossuary"] = 219786,
    ["Permafrost"] = 207200,
    ["Pestilent Pustules"] = 194917,
    ["Purgatory"] = 114556,
    ["Rapid Decomposition"] = 194662,
    ["Red Thirst"] = 205723,
    ["Rune Tap"] = 194679,
    ["Runic Attenuation"] = 207104,
    ["Shadow Infusion"] = 198943,
    ["Shattering Strikes"] = 207057,
    ["Sludge Belcher"] = 207313,
    ["Soul Reaper"] = 130736,
    ["Soulgorge"] = 212744,
    ["Spectral Deflection"] = 211078,
    ["Spell Eater"] = 207321,
    ["Tightening Grasp"] = 206970,
    ["Tombstone"] = 219809,
    ["Tremble Before Me"] = 206960,
    ["Unholy Frenzy"] = 207289,
    ["Volatile Shielding"] = 207188,
    ["White Walker"] = 212765,
    ["Will of the Necropolis"] = 206967,
    ["Winter is Coming"] = 207170,
}

addon.SpellNames = {}
addon.SpellIcons = {}
_G.setmetatable(addon.SpellNames, LookupOrKeyMT)
function addon:LoadSpellNames()
	for k, v in pairs(addon.SpellIds) do
		local name, _, icon = _G.GetSpellInfo(v)
		addon.SpellNames[k] = name
		addon.SpellIcons[k] = icon
	end
end
addon.LoadSpellNames()
